Skip to main content
DELETE
/
enterprises
/
{enterprise_id}
/
reputation
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

await client.enterprises.reputation.deleteAll('6a09cdc3-8948-47f0-aa62-74ac943d6c58');
{
  "errors": [
    {
      "code": "10015",
      "title": "Bad Request",
      "detail": "User has already agreed to Terms of Service version v1.0.0",
      "meta": {
        "url": "<string>"
      },
      "source": {
        "pointer": "/body/organization_type"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

enterprise_id
string<uuid>
required

Unique identifier of the enterprise (UUID)

Example:

"6a09cdc3-8948-47f0-aa62-74ac943d6c58"

Response

Reputation settings disabled successfully